Bug 1314291 - tier: GCC throws Unused variable warning for conf in tier_link_cbk function
tier: GCC throws Unused variable warning for conf in tier_link_cbk function
Product: GlusterFS
Classification: Community
Component: tiering (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghavendra Talur
: 1308863 (view as bug list)
Depends On:
Blocks: 1314548
  Show dependency treegraph
Reported: 2016-03-03 05:42 EST by Raghavendra Talur
Modified: 2016-06-16 09:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1314548 (view as bug list)
Last Closed: 2016-06-16 09:59:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Raghavendra Talur 2016-03-03 05:42:47 EST
Description of problem:
When compiled on F23, we see warning for unused variable.

/home/jenkins/root/workspace/Manually_triggered_regression/xlators/cluster/dht/src/tier-common.c: In function ‘tier_link_cbk’:
10:37:27 /home/jenkins/root/workspace/Manually_triggered_regression/xlators/cluster/dht/src/tier-common.c:33:23: warning: variable ‘conf’ set but not used [-Wunused-but-set-variable]
10:37:27          dht_conf_t   *conf   = NULL;
Comment 1 Vijay Bellur 2016-03-03 05:48:18 EST
REVIEW: http://review.gluster.org/13591 (tier: Fix unused-but-set-variable warning) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 2 Vijay Bellur 2016-03-03 10:35:16 EST
COMMIT: http://review.gluster.org/13591 committed in master by Jeff Darcy (jdarcy@redhat.com) 
commit 6a406b87aa3cd8c086e998fe681197915bd436c2
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Thu Mar 3 16:09:27 2016 +0530

    tier: Fix unused-but-set-variable warning
    Change-Id: Ie5eaf1075b1c9c29dd7d85bf7b61b22e1fbce422
    BUG: 1314291
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/13591
    Reviewed-by: hari gowtham <hari.gowtham005@gmail.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
Comment 3 Prasanna Kumar Kalever 2016-04-05 06:00:33 EDT
*** Bug 1308863 has been marked as a duplicate of this bug. ***
Comment 4 Niels de Vos 2016-06-16 09:59:22 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.